Main Page Class Hierarchy Compound List File List Compound Members File Members

# wave_client.h File Reference

Go to the source code of this file.

## Defines
#define | ERR_ALLOC -1
#define | ERR_NOHOST -2
#define | ERR_SOCKET -3
#define | ERR_FILEIO -4
#define | ERR_NODATA -5
#define | ERR_OVRFLW -6
#define | ERR_NOCONFIG -7
#define | ERR_STRIO -8
## Functions
int | wave_request (double, double, char *)
int | wave_inquire (double *, double *, unsigned char *, unsigned char *, unsigned char *)
void | wave_client_config (char *)
int | wave_client_setup (char *, int)
## Variables
char | ServerIPAdr [20]
int | ServerPort
char * | Wave_Client_Error []

## Define Documentation

#define ERR_ALLOC -1

| Definition at line 37 of file wave_client.h. Referenced by wave_request().

#define ERR_FILEIO -4

| Definition at line 40 of file wave_client.h. Referenced by wave_request().

#define ERR_NOCONFIG -7

| Definition at line 43 of file wave_client.h.

#define ERR_NODATA -5

| Definition at line 41 of file wave_client.h. Referenced by wave_request().

#define ERR_NOHOST -2

| Definition at line 38 of file wave_client.h.

#define ERR_OVRFLW -6

| Definition at line 42 of file wave_client.h. Referenced by wave_request().

#define ERR_SOCKET -3

| Definition at line 39 of file wave_client.h. Referenced by wave_request().

#define ERR_STRIO -8

| Definition at line 44 of file wave_client.h. Referenced by wave_request().

## Function Documentation

void wave_client_config | ( | char * |  | ) |

| Definition at line 416 of file wave_client.c. References Addr, com, Config_Init, Host, k_close(), k_err(), k_int(), k_its(), k_open(), k_rd(), k_str(), and Sin.

int wave_client_setup | ( | char * | ,
|  | int |
| ) |

| Definition at line 555 of file wave_client.c. References Addr, Config_Init, Host, logit(), and Sin.

int wave_inquire | ( | double * | ,
|  | double * | ,
|  | unsigned char * | ,
|  | unsigned char * | ,
|  | unsigned char * |
| ) |

| Definition at line 299 of file wave_client.c. References Config_Init, logit(), MAX_MSG_LEN, SocketClose(), SocketPerror(), and type.

int wave_request | ( | double | ,
|  | double | ,
|  | char * |
| ) |

| Definition at line 51 of file wave_client.c. References Config_Init, ERR_ALLOC, ERR_FILEIO, ERR_NODATA, ERR_OVRFLW, ERR_SOCKET, ERR_STRIO, logit(), MAX_MSG_LEN, SocketClose(), SocketPerror(), and type.

## Variable Documentation

char ServerIPAdr[20]`[static]`

| Definition at line 22 of file wave_client.h.

int ServerPort`[static]`

| Definition at line 23 of file wave_client.h.

char* Wave_Client_Error[]`[static]`

| Initial value:
    { "",
      "error allocating memory",
      "error getting wave_server's host info",
      "trouble with socket",
      "error on file i/o",
      "time period not in tank",
      "wave_server reply overflows target",
      "wave_client configfile not read",
      "error decoding wave_server response",
    }
Definition at line 49 of file wave_client.h.